After upgrading the client to sp4 some users are having problems!!

We use a Rabobank application and when we start the application I get the error "database corrupt" when I downgrade the client to sp3 all works fine.

The same we have with applications wich use Oracle JInitiator when we start the application the error SysFader:IEXPLORE.EXE appears, downgrade to SP3 solved the problem.

Anyone seen this? Any fixes?